Bug 731525 (spnavcfg) - Review Request: spnavcfg - Spacenav daemon interactive configuration program
Summary: Review Request: spnavcfg - Spacenav daemon interactive configuration program
Keywords:
Status: CLOSED ERRATA
Alias: spnavcfg
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 19:23 UTC by Richard Shaw
Modified: 2012-10-17 21:10 UTC (History)
4 users (show)

Fixed In Version: spnavcfg-0.2.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 00:25:46 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Richard Shaw 2011-08-17 19:23:05 UTC
Spec URL: http://hobbes1069.fedorapeople.org/spnavcfg/spnavcfg.spec
SRPM URL: http://hobbes1069.fedorapeople.org/spnavcfg/spnavcfg-0.2.1-1.fc15.src.rpm
Description:
Spacenav daemon interactive configuration program.

Comment 1 Richard Shaw 2011-08-17 19:28:23 UTC
rpmlint output:

$ ls *.rpm
spnavcfg-0.2.1-1.fc15.src.rpm     spnavcfg-debuginfo-0.2.1-1.fc15.x86_64.rpm
spnavcfg-0.2.1-1.fc15.x86_64.rpm

$ rpmlint *.rpm
spnavcfg.src: W: spelling-error Summary(en_US) Spacenav -> Spacemen
spnavcfg.src: W: spelling-error %description -l en_US Spacenav -> Spacemen
spnavcfg.src:29: W: rpm-buildroot-usage %build %configure --prefix=%{buildroot}%{_prefix}
spnavcfg.x86_64: W: spelling-error Summary(en_US) Spacenav -> Spacemen
spnavcfg.x86_64: W: spelling-error %description -l en_US Spacenav -> Spacemen

spnavcfg.x86_64: E: setuid-binary /usr/bin/spnavcfg root 04775L
spnavcfg.x86_64: E: non-standard-executable-perm /usr/bin/spnavcfg 04775L
spnavcfg.x86_64: E: non-standard-executable-perm /usr/bin/spnavcfg 04775L
- They uses setuid in order to allow normal users to write to the config file in /etc. Supposedly it's secure because they have a frontend (gui) and backend part of the program so only the backend runs as root.


spnavcfg.x86_64: W: no-manual-page-for-binary spnavcfg
- This is a gui only app.

3 packages and 0 specfiles checked; 3 errors, 6 warnings.

Comment 2 Rex Dieter 2011-08-19 14:15:24 UTC
naming: ok

sources: ok
d20cf09515d1e39fd04877a00a2023b5  spnavcfg-0.2.1.tar.gz

scriptlets: ok

licensing: ok

Not entirely happy with the setuid thing though, there's more robust and elegant solutions to that (like policykit), but meh.  not a blocker, imo.

rest is fairly simple.

APPROVED.

Comment 3 Richard Shaw 2011-08-19 14:57:23 UTC
(In reply to comment #2)
> Not entirely happy with the setuid thing though, there's more robust and
> elegant solutions to that (like policykit), but meh.  not a blocker, imo.

Upstream is willing to make any simple changes that are not Fedora specific. Is there a simple solution to this problem?

Thanks,
Richard

Comment 4 Rex Dieter 2011-08-19 15:03:36 UTC
policykit is not fedora specific, but it's also a wee-bit non-trivial implementation-wise.  would require a bit of work/coding (which, for better or worse, I lack the expertise/experience/skill at the moment myself).

Comment 5 Richard Shaw 2011-08-19 17:42:10 UTC
New Package SCM Request
=======================
Package Name: spnavcfg
Short Description: Spacenav daemon interactive configuration program
Owners: hobbes1069
Branches: f15 f16
InitialCC:

Comment 6 Gwyn Ciesla 2011-08-19 17:46:43 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-08-25 19:18:00 UTC
spnavcfg-0.2.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/spnavcfg-0.2.1-1.fc15

Comment 8 Fedora Update System 2011-08-25 19:18:09 UTC
spnavcfg-0.2.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/spnavcfg-0.2.1-1.fc16

Comment 9 Fedora Update System 2011-08-26 14:18:25 UTC
spnavcfg-0.2.1-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 10 Fedora Update System 2011-09-07 00:25:41 UTC
spnavcfg-0.2.1-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-09-07 03:32:03 UTC
spnavcfg-0.2.1-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 12 John Morris 2012-10-17 20:57:35 UTC
Package Change Request
======================
Package Name: spnavcfg
New Branches: el6
Owners: zultron hobbes1069
InitialCC: 

The owner of this package (hobbes1069) and I (zultron) are building this package for EPEL6.

Comment 13 Gwyn Ciesla 2012-10-17 21:10:47 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.